using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CLPersone;

namespace AppWindows
{
    public partial class frmVisualizzazione : Form
    {

        Persone persone;

        public frmVisualizzazione()
        {
            InitializeComponent();
            persone = new Persone();
        }

        public void CaricaDataSource(Persone p)
        {
            persone = p;
            bindingSourcePersone.DataSource = p;
            dgPersone.DataSource = bindingSourcePersone;
            bindingNavigatorPersone.BindingSource = bindingSourcePersone;
        }

        private void dgPersone_CellValidating(object sender, DataGridViewCellValidatingEventArgs e)
        {
            if (dgPersone.IsCurrentRowDirty)
            {
                if (e.ColumnIndex == 0)
                {
                    string nuovoCodiceFiscale = e.FormattedValue.ToString();
                    if (persone.IndiceElemento(nuovoCodiceFiscale) != -1)
	                {
                        dgPersone.Rows[e.RowIndex].ErrorText = "Errore: Codice fiscale duplicato";
                        e.Cancel = true;
	                }      
                }
            }
        }

        private void dgPersone_CellEndEdit(object sender, DataGridViewCellEventArgs e)
        {
            dgPersone.Rows[e.RowIndex].ErrorText = String.Empty;
        }
        
    }
}
